Description

Related issues:

Related to Base Language - Feature #4384: Builtin OO Implementation Closed

History

#1 - 07/30/2020 02:25 AM - Marian Edu

- Related to Feature #4384: Builtin OO Implementation added

#2 - 07/30/2020 08:46 AM - Greg Shah

- Description updated

- Start date deleted (07/30/2020)

#3 - 07/30/2020 08:46 AM - Greg Shah

From Marian:

We have quite a number of errors in conversion of our 'discovery' stubs that have to do with how the naming is resolved for methods overrides. I

was able to isolate that in a simple test, it looks like the order of methods is important and it looks like this happens when the class that

implements an interface does not have the same order like the one in the interface. Test cases in oo/quirks/erasure folder.

#4 - 07/30/2020 09:31 AM - Greg Shah

I think this is part of my work on #4350.

#5 - 07/30/2020 09:32 AM - Greg Shah

- Assignee set to Greg Shah

#6 - 12/11/2020 03:37 AM - Marian Edu

Some more tests that fails to convert correctly:

oo/openedge/net/http/cookie_collection/test_method_contains_object.p

oo/openedge/net/http/cookie_collection/test_method_to_cookie_array.p

While on the second one picking the right method to call (add instead of add_1) could be more difficult since no intermediate variable is used for input

parameter but directly instantiate the String on the first test the variable used as input is a P.L.O but still the conversion is picking the contains_1

method (with Cookie) over the right one contains (with P.L.O as input).

For now we're just fixing those tests by hand to check functionality but just thought to mention it.
https://proj.goldencode.com/issues/4350


#7 - 02/05/2021 07:23 AM - Marian Edu

Greg, just tried that on 4384h and the conversion on those erasure quirks tests seems to work now, if I find anything new will report back.

Thanks

#8 - 02/05/2021 08:22 AM - Greg Shah

- % Done changed from 0 to 100

- Status changed from New to Closed
